
Name: gtk-qt-engine
Version: 0.8
Release: alt1

Summary: GTK-Qt Theme Engine
Group: Graphical desktop/Other
License: GPL
Url: http://www.freedesktop.org/Software/gtk-qt

Source: %url/%name-%version.tar.bz2

Patch1: %name-0.7cvs-kcmgtk-xdg-ru.patch

Provides: gtk-qt-engines = %version
Obsoletes: gtk-qt-engines

BuildRequires: cmake gcc-c++ kdelibs-devel libbonoboui-devel libjpeg-devel xorg-x11-devel xml-utils

%description
This GTK theme engine uses the currently selected Qt style to do it's drawing.
Basically, it makes your GTK apps look like Qt ones.


%prep
%setup -q -n %name
#%patch1 -p1

#%__subst 's|\.la\>|.so|g' admin/acinclude.m4.in
#%__subst 's|-ansi\>||g' admin/acinclude.m4.in
#%__subst 's|-no-undefined\>||g' kcm_gtk/Makefile.am
#%make -f admin/Makefile.common cvs ||:


%build
%define _optlevel s
%add_optflags -DNDEBUG
%define lib_suffix %nil
%ifarch x86_64 ppc64
%define lib_suffix 64
%endif
#mkdir -p %_target_platform
#pushd %_target_platform
#cmake .. \
cmake . \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DCMAKE_BUILD_TYPE:STRING=Release \
    -DCMAKE_C_FLAGS:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS:STRING='%optflags' \
    -DCMAKE_C_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING='%optflags' \
    -DLIB_DESTINATION=%_lib \
    -DLIB_SUFFIX=%lib_suffix
#popd

#%make_build -C %_target_platform VERBOSE=1
%make_build VERBOSE=1

%install
#%make -C %_target_platform DESTDIR=%buildroot install
%make DESTDIR=%buildroot install


%find_lang --with-kde gtkqtengine


%files -f gtkqtengine.lang
%doc README AUTHORS INSTALL COPYING ChangeLog
%_libdir/gtk-2.0/*/engines/libqtengine.so
%_libdir/kde3/*
%_datadir/themes/Qt
#%_datadir/gtk-qt-engine
%_desktopdir/kcmgtk.desktop
%_datadir/applications/*

%changelog
* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt1
- new version

* Mon Sep 18 2006 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- release 0.7

* Sat Oct 01 2005 Dmitry Vukolov <dav@altlinux.ru> 0.7-alt0.1cvs
- CVS snapshot dated October 1, 2005 
- fixed bug #7902; many thanks to Alexey Morozov (morozov@)
- updated BuildRequires

* Wed Dec 29 2004 Dmitry Vukolov <dav@altlinux.ru> 0.6-alt1
- new version

* Fri Aug 13 2004 Dmitry Vukolov <dav@altlinux.ru> 0.5-alt1
- version 0.5
- scrollbar and toolbar patch from cvs
- updated BuildRequires
- package renamed from gtk-qt-engines to gtk-qt-engine

* Tue May 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.3-alt1
- version 0.3
- updated URL

* Thu Feb 05 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2-alt1
- initial package
